package main

import "github.com/Karitham/corde"

var (
	appCommand = corde.NewSlashCommand("app", "App commands",
		corde.NewSubcommand("accept", "Accept an app",
			corde.NewIntOption("app_id", "App ID", true),
		),
		corde.NewSubcommand("deny", "Deny an app",
			corde.NewIntOption("app_id", "App ID", true),
		),
		corde.NewSubcommand("clear", "Clear an app",
			corde.NewIntOption("app_id", "App ID", true),
		),
	)
	infoCommand = corde.NewSlashCommand("info", "Info on an app",
		corde.NewStringOption("username", "Username", false),
		corde.NewIntOption("app_id", "App ID", false),
	)
	searchCommand = corde.NewSlashCommand("search", "Searhc for apps",
		corde.NewStringOption("username", "Username", false),
	)
	syncCommand = corde.NewSlashCommand("sync", "Sync users with Discord")
)
