package socket

import (
	"fmt"
	"net"
	"strings"
)

type Socket struct {
	Port int
}

func (s *Socket) Command(args ...string) error {
	conn, err := net.Dial("tcp", fmt.Sprintf("127.0.0.1:%d", s.Port))
	if err != nil {
		return err
	}

	if _, err := conn.Write([]byte(strings.Join(args, " "))); err != nil {
		return err
	}
	return conn.Close()
}
